Bug 2807 - execution aggregator source junit test needs some work
: execution aggregator source junit test needs some work
Status: ASSIGNED
: MDS4
wsrf_aggregator
: 3.9.5
: All All
: P3 normal
: 4.0
Assigned To:
:
:
:
: 5065
  Show dependency treegraph
 
Reported: 2005-02-22 19:33 by
Modified: 2008-02-12 11:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-22 19:33:21
The execution aggregator source junit test needs to be fixed to actually run a 
valid executable and test the result.  

Validating the output of cat (or equivalent) on an xml sample file should 
suffice. Currently, the tests pass even though this is not actually happening.  
An error message is generated in the log, but what should probably happen is 
that a junit assertion be thrown.
------- Comment #1 From 2005-02-22 22:39:55 -------
It turns out there is a sample executable (it's installed, but sort of hidden,
by default, and I haven't tried to test with it):  see
"[]http://www-unix.globus.org/toolkit/docs/development/4.0-drafts/info/aggregator/developer/pingtest.html".
------- Comment #2 From 2005-03-30 23:54:43 -------
I committed code to the test to run the aggregator-test-exec.sh file that is 
now copied from G_L/etc/globus_wsrf_mds_aggregator to G_L/libexec/aggrexec. 
The test no longer should generate server side error messages on Linux.  

On Windows an error is still generated.  We will have to add code to 
ExecutionAggregatorSource if we want total Windows compatibility, so this bug 
maybe should be closed and reopened as an enhancement request for ExecAggr 
source on Windows.